[PC-BSD Commits] r14006 - pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts
svn at pcbsd.org
svn at pcbsd.org
Sun Nov 20 17:21:24 PST 2011
Author: kris
Date: 2011-11-20 17:21:24 -0800 (Sun, 20 Nov 2011)
New Revision: 14006
Modified:
pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh
Log:
Further improve to show a message if run from rc.d manually
Modified: pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh
===================================================================
--- pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh 2011-11-21 01:19:29 UTC (rev 14005)
+++ pcbsd/current/system-overlay/usr/local/share/pcbsd/scripts/portjail.sh 2011-11-21 01:21:24 UTC (rev 14006)
@@ -88,8 +88,12 @@
### Warn and exit if the jail is not yet installed
checkinitneeded() {
- [ "$1" = "rc" ] && exit 0
- checkjailinstalled || printerror "Error: The jail is not installed. Please run 'portjail init' as root."
+ if [ "$1" = "rc" ]; then
+ checkjailinstalled || echo "Error: The jail is not installed. Please run 'portjail init' as root."
+ exit 0
+ else
+ checkjailinstalled || printerror "Error: The jail is not installed. Please run 'portjail init' as root."
+ fi
}
### Check if jailme is installed
More information about the Commits
mailing list